import { FC } from 'react'
import { ReactComponent as help } from '../../assets/icons/Help Icon.svg';
import { ReactComponent as trash } from '../../assets/icons/Trash Icon.svg';
import { ReactComponent as trash_hover } from '../../assets/icons/Trash Icon Open.svg';
import { ReactComponent as anvil } from '../../assets/icons/Anvil Icon.svg';

const library = {
  help,
  trash,
  trash_hover,
  anvil
}

interface IProps {
  className: string;
  icon: keyof typeof library;
}

export const Icon: FC<IProps> = ({ className, icon }) => {
  const ICON = library[icon];

  return (
    <ICON className={className} />
  )
}